DescribeNetworkInterfacePublicIPv6

1. API Description

This API (DescribeNetworkInterfacePublicIPv6) is used to query the public IPv6 information of a vNIC.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

nicId

Yes

String

vNIC ID.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

address

Public IPv6 information.

If the vNIC does not have a public IPv6 address, the value is empty.

4. Code Example

Query the public IPv6 information of a vNIC.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeNetworkInterfacePublicIPv6
<Common Request Params>

Request:
{
    "nicId": "<nicId>"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "address": {
      "ipv6CidrId": "<ipv6CidrId>",
      "ipv6Cidr": "2a0b:21c1:xx:xx:0:2::/96",
      "primaryIpv6Address": "2a0b:21c1:xx:xx:0:2::2",
      "internetChargeType": "ByBandwidthCluster",
      "bandwidth": 100,
      "trafficPackageSize": null,
      "bandwidthCluster": {
        "bandwidthClusterId": "<bandwidthClusterId>",
        "bandwidthClusterName": "Test",
      }
    }
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_NIC_NOT_FOUND

vNIC does not exist.

Last updated